/*
 * @Author: WuXiangNan
 * @Date: 2021-02-21 10:43:29
 * @LastEditTime: 2021-02-22 16:26:26
 * @LastEditors: WuXiangNan
 * @Description: 考勤时间内容
 */

class RuleTimeModel {
  String? type;
  List<String>? infos;

  RuleTimeModel({
    this.type,
    this.infos,
  });

  RuleTimeModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    type = map['type'];
    infos = List<String>.from(map['infos'] ?? []);
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['type'] = this.type;
    json['infos'] = List<dynamic>.from(infos ?? []);

    return json;
  }
}
